javascript异常之throw、try和catch的用法笔记

原创 PHP笔记  2017-04-05 19:46  阅读 1,793 views 次
  • try:测试代码块的错误。
  • catch:处理错误。
  • throw:创建自定义错误。

javascript try和catch语句

try语句一般用来定义在执行时进行错误测试的代码块;catch语句则定义当 try 代码块发生错误时,所执行的代码块,语句try和catch是成对出现的。

格式:

try {
//测试的代码块
} catch(err) {
//处理错误
}

实例:

<script type="text/javascript">
try {
i=i+1;
} catch(err) {
alert( "本页有一个错误:"+err);
}
</script>

运行结果:

 

javascript throw语句

throw语句一般用来创建自定义错误,即创建或抛出异常。throw语句可以和try和catch语句一起使用,能控制程序流,并生成自定义的错误消息。

格式:

throw 异常信息;

实例:

........
<body align="center">
<script type="text/javascript">
function fun(){
var i=document.getElementsByTagName("input");
var txt=i[0].value;
try {
if(txt==""){throw "必须填入数字"}
if(txt<23){throw "我没这么小,请从新猜"}
if(txt>23){throw "我没这么老,请从新猜"}
if(txt=23){throw "恭喜你猜对了"}
}
catch(err) {
alert(err);
}
}
</script>
<h3>你猜我有多大?</h3>
<input type="text"/><br/><br/>
<button onclick="fun()">确认</button>
</div>
</body>
......

运行结果:

本文地址:https://www.ggbiji.com/js-throw-try-catch.html
版权声明:本文为 PHP笔记 原创/整理文章,欢迎分享,转载请注明出处!

发表评论


表情